from flask import Flask, render_template, jsonify, request
import requests
import random
import time

from utils import *

app = Flask(__name__)


@app.route('/')
def index():
    return render_template('index.html')

@app.route('/start_game', methods=['POST'])
def start_game():
    poems = generate_poem()
    correct_poem = random.choice(poems)
    image_url = generate_image(correct_poem)
    options = random.sample(poems, 4)
    correct_index = options.index(correct_poem)
    return jsonify({
        'image_url': image_url,
        'options': options,
        'correct_index': correct_index
    })

@app.route('/check_answer', methods=['POST'])
def check_answer():
    user_answer = request.json.get('answer')
    correct_index = str(request.json.get('correct_index'))
    is_correct = user_answer == correct_index
    return jsonify({'is_correct': is_correct})

if __name__ == '__main__':
    app.run(debug=True)