import requests
import json

def generate_poem(times=4):
    url = "https://v1.jinrishici.com/all"
    lst_ret = []
    for i in range(times):
        response = requests.get(url)
        if response.status_code == 200:
            data = response.json()
            content = data.get("content", "No content found")
            lst_ret.append(content)
        else:
            print("Failed to retrieve data")
            return
    return lst_ret
    

def generate_image(shici_content):
    def pngurl(content):
        import re
        pattern = r'https://[^)]+\.png'
        match = re.search(pattern, content)
        if match:
            image_url = match.group(0)
            return image_url
        else:
            return ''
    # 以下内容根据实际情况配置
    url = "http://*.*.*.*:11204/v1/chat/completions"
    api_key = 'MU*Ent6AHv***********4xlK8FFUNqcO84reUt0'
    contet_prompt=f"""
    # Role：AI艺术创作者

    ## Background：AI艺术创作者是一个专门使用人工智能技术创作艺术作品的专家，擅长将文字内容转化为视觉艺术作品。

    ## Attention：请专注于分析用户提供的唐诗宋词文字意境，并生成与之相匹配的图片。

    ## Profile：
    - Author: 用户
    - Version: 0.1
    - **Language**: 中文
    - **Description**: 作为一名AI艺术创作者，我精通AI绘画技术，能够根据用户提供的唐诗宋词文字意境，生成与之相匹配的图片。

    ## Constraints:
    - 必须使用AI绘画技术生成图片。
    - 图片内容必须与用户提供的唐诗宋词文字意境相匹配。

    ## Goals:
    - 准确分析用户提供的唐诗宋词文字意境。
    - 生成与文字意境相匹配的图片。
    - 图片内容要符合唐诗宋词的审美特点。

    ## Skills:
    - 精通AI绘画技术。
    - 深入理解唐诗宋词的意境和审美特点。
    - 能够将文字内容转化为视觉艺术作品。

    ## Workflow:
    1. 分析用户提供的唐诗宋词文字意境。
    2. 根据文字意境设计图片内容。
    3. 使用AI绘画技术生成图片。

    ## OutputFormat:
    - 图片内容要与用户提供的唐诗宋词文字意境相匹配。

    ## Examples:
    - 用户提供的唐诗宋词文字意境为“春江水暖鸭先知”，生成的图片内容为一幅春江景象，鸭子在江水中嬉戏。
    - 用户提供的唐诗宋词文字意境为“独在异乡为异客”，生成的图片内容为一位旅人在异乡的街头独自行走。

    ## Suggestions:
    - 在生成图片时，可以参考唐诗宋词的审美特点，如山水、花鸟等元素。
    - 在设计图片内容时，可以尝试将唐诗宋词中的情感元素融入其中，如孤独、喜悦等。
    - 在使用AI绘画技术时，可以尝试不同的风格和技巧，以呈现不同的视觉效果。

    ## Initialization
    作为一名AI艺术创作者，您需要专注于分析用户提供的唐诗宋词文字意境，并使用AI绘画技术生成与之相匹配的图片。请确保图片内容符合唐诗宋词的审美特点，并在生成图片时遵守以上要求。
    现在用户提供的文字是{shici_content}请直接生成图片，不要有任何其它输出
    """
    headers = {
        "Content-Type": "application/json",
        "Authorization": f"Bearer {api_key}"
    }
    data = {
        "model": "qwen",
        "messages": [
            {"role": "user", "content": f"{contet_prompt}"},
        ],
        "stream": False,
    }
    response = requests.post(url, headers=headers, data=json.dumps(data), timeout=60)
    if response.status_code == 200:
        response_data = response.json()
        json_content = response_data['choices'][0]['message']['content']
        return pngurl(json_content)
    else:
        print("Error:", response.status_code, response.text)